Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
    • Cloud Interconnect
    • Cloud Backup
    • Cloud Registry
    • Yandex AI Studio
    • Compute Cloud
    • Object Storage
    • Managed Service for Kubernetes®
    • Yandex BareMetal
    • Smart Web Security
    • Security Deck
    • Managed Service for PostgreSQL
    • Managed Service for ClickHouse®
    • Monium
    • Cloud CDN
    • Network Load Balancer
    • Virtual Private Cloud
    • Cloud DNS
    • Application Load Balancer
    • Yandex Cloud Video
    • Stackland
    • Yandex Cloud Router
    • Yandex Managed Service for Trino
    • Managed Service for MySQL®
    • Managed Service for Valkey™
    • Managed Service for Apache Spark™
    • Yandex StoreDoc
    • Managed Service for OpenSearch
    • Managed Service for Apache Kafka®
    • Data Transfer
    • Yandex MPP Analytics Engine for PostgreSQL
    • Yandex Managed Service for Apache Airflow®
    • Data Processing
    • Yandex MetaData Hub
    • Managed Service for YDB
    • Managed Service for Sharded PostgreSQL
    • Managed Service for YTsaurus
    • Yandex WebSQL
    • DataLens
    • Yandex Search API
    • SpeechSense
    • SpeechKit
    • DataSphere
    • Vision OCR
    • Translate
    • Yandex Identity Hub
    • Key Management Service
    • Certificate Manager
    • Yandex Lockbox
    • Audit Trails
    • SmartCaptcha
    • Yandex SIEM
    • SourceCraft Code Assistant
    • Container Registry
    • Managed Service for GitLab
    • Managed Service for Prometheus®
    • Cloud Functions
    • API Gateway
    • Yandex Cloud Postbox
    • Message Queue
    • IoT Core
    • Data Streams
    • Serverless Containers
    • Cloud Notification Service
    • Identity and Access Management
    • Yandex Cloud Console
    • Resource Manager
    • Yandex Cloud Billing
    • Yandex Cloud Quota Manager
    • Cloud Apps
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex DataLens
  • DataLens Gallery
    • How to use the Public API
    • Versioning
    • Release notes
      • Overview
        • Overview
        • 🚧 [Experimental] List Spark clusters
        • 🚧 [Experimental] Get Spark cluster
        • 🚧 [Experimental] Create Spark cluster
        • 🚧 [Experimental] Delete Spark cluster
        • 🚧 [Experimental] Start Spark cluster
        • 🚧 [Experimental] Stop Spark cluster
        • 🚧 [Experimental] List Spark resource presets
        • 🚧 [Experimental] Get Spark resource preset
  • Audit Trails events

In this article:

  • Request
  • Headers
  • Body
  • Responses
  • 200 OK
  • Body
  1. DataLens Public API
  2. DataLens API
  3. SparkClusters
  4. 🚧 [Experimental] Create Spark cluster
Written by
Yandex Cloud
View in Markdown
  • Request
    • Headers
    • Body
  • Responses
  • 200 OK
    • Body

🚧 [Experimental] Create Spark cluster

Creates a Spark cluster and returns an asynchronous operation.

RequestRequest

POST

https://api.datalens.tech/rpc/createSparkCluster

HeadersHeaders

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 3

Example: 3

BodyBody

application/json
{
  "collectionId": "example",
  "cloudEnvironmentId": "example",
  "name": "example",
  "description": "example",
  "labels": {},
  "config": {
    "sparkVersion": "example",
    "resourcePools": {
      "driver": {
        "resourcePresetId": "example",
        "scalePolicy": {}
      },
      "executor": {
        "resourcePresetId": "example",
        "scalePolicy": {}
      }
    },
    "dependencies": {
      "pipPackages": [
        "example"
      ],
      "debPackages": [
        "example"
      ]
    },
    "logging": {
      "enabled": true
    }
  }
}

Name

Description

cloudEnvironmentId

Type: string

ID of the cloud environment in which to create the cluster.

Min length: 1

Max length: 50

Example: example

collectionId

Type: string

ID of the DataLens collection in which to create the cluster.

Min length: 1

Max length: 50

Example: example

config

Type: object

resourcePools

Type: object

driver

Type: object

resourcePresetId

Type: string

ID of the Spark resource preset.

Min length: 1

Max length: 50

Example: example

scalePolicy

Any of 2 types
  • Type: object

    fixedScale

    Type: object

    size

    Type: string

    Number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    Example
    {
      "size": "example"
    }
    
    Example
    {
      "fixedScale": {
        "size": "example"
      }
    }
    
  • Type: object

    autoScale

    Type: object

    initialSize

    Type: string

    Initial number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    maxSize

    Type: string

    Maximum number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    minSize

    Type: string

    Minimum number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    Example
    {
      "minSize": "example",
      "maxSize": "example",
      "initialSize": "example"
    }
    
    Example
    {
      "autoScale": {
        "minSize": "example",
        "maxSize": "example",
        "initialSize": "example"
      }
    }
    

Resource pool scaling policy.

Example
{
  "fixedScale": {
    "size": "example"
  }
}

Driver resource pool.

Example
{
  "resourcePresetId": "example",
  "scalePolicy": {
    "fixedScale": {
      "size": "example"
    }
  }
}

executor

Type: object

resourcePresetId

Type: string

ID of the Spark resource preset.

Min length: 1

Max length: 50

Example: example

scalePolicy

Any of 2 types
  • Type: object

    fixedScale

    Type: object

    size

    Type: string

    Number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    Example
    {
      "size": "example"
    }
    
    Example
    {
      "fixedScale": {
        "size": "example"
      }
    }
    
  • Type: object

    autoScale

    Type: object

    initialSize

    Type: string

    Initial number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    maxSize

    Type: string

    Maximum number of instances in the resource pool.

    Pattern: ^(?:[1-9]|[1-9]\d|100)$

    Example: example

    minSize

    Type: string

    Minimum number of instances in the resource pool.

    Pattern: ^(?:0|[1-9]\d?|100)$

    Example: example

    Example
    {
      "minSize": "example",
      "maxSize": "example",
      "initialSize": "example"
    }
    
    Example
    {
      "autoScale": {
        "minSize": "example",
        "maxSize": "example",
        "initialSize": "example"
      }
    }
    

Resource pool scaling policy.

Example
{
  "fixedScale": {
    "size": "example"
  }
}

Executor resource pool.

Example
{
  "resourcePresetId": "example",
  "scalePolicy": {
    "fixedScale": {
      "size": "example"
    }
  }
}
Example
{
  "driver": {
    "resourcePresetId": "example",
    "scalePolicy": {
      "fixedScale": {
        "size": "example"
      }
    }
  },
  "executor": {
    "resourcePresetId": "example",
    "scalePolicy": {
      "fixedScale": {
        "size": "example"
      }
    }
  }
}

dependencies

Type: object

debPackages

Type: string[]

Debian packages to install in the cluster.

Example
[
  "example"
]

pipPackages

Type: string[]

Python packages to install in the cluster.

Example
[
  "example"
]

Packages to install in the cluster.

Example
{
  "pipPackages": [
    "example"
  ],
  "debPackages": [
    "example"
  ]
}

logging

Type: object

enabled

Type: boolean

Whether cluster logging is enabled.

Cluster logging configuration.

Example
{
  "enabled": true
}

sparkVersion

Type: string

Spark version. The service default is used when omitted.

Example: example

Example
{
  "sparkVersion": "example",
  "resourcePools": {
    "driver": {
      "resourcePresetId": "example",
      "scalePolicy": {
        "fixedScale": {}
      }
    },
    "executor": {
      "resourcePresetId": "example",
      "scalePolicy": {
        "fixedScale": {}
      }
    }
  },
  "dependencies": {
    "pipPackages": [
      "example"
    ],
    "debPackages": [
      "example"
    ]
  },
  "logging": {
    "enabled": true
  }
}

name

Type: string

Name of the Spark cluster.

Max length: 63

Pattern: ^[a-zA-Z0-9ЁёА-я]\S{1,61}[a-zA-Z0-9ЁёА-я]$

Example: example

description

Type: string

Description of the Spark cluster.

Max length: 200

Example: example

labels

Type: object

[additional]

Type: string

Max length: 63

Pattern: ^[-_0-9a-z]*$

Example: example

Spark cluster labels.

Example
{}

ResponsesResponses

200 OK200 OK

Response

BodyBody

application/json
{
  "id": "example",
  "description": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "createdBy": "example",
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "done": true,
  "metadata": {},
  "error": {
    "code": 0.5,
    "message": "example",
    "details": [
      null
    ]
  },
  "response": {}
}

Name

Description

done

Type: boolean

Whether the operation has completed.

id

Type: string

Unique ID of the operation.

Example: example

metadata

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation metadata.

Example
{}

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was created.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the operation creator.

Example: example

description

Type: string

Description of the operation.

Example: example

error

Type: object

code

Type: number

Operation error code.

message

Type: string

Operation error message.

Example: example

details

Type: unknown[]

Additional operation error details.

Example
[
  null
]

Operation error, if the operation failed.

Example
{
  "code": 0.5,
  "message": "example",
  "details": [
    null
  ]
}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Time when the operation was last modified.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

response

Type: object

[additional]

Type: unknown

Example: null

Service-specific operation response.

Example
{}

Was the article helpful?

Previous
🚧 [Experimental] Get Spark cluster
Next
🚧 [Experimental] Delete Spark cluster
© 2026 Direct Cursus Technology L.L.C.